Create a note Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/note
application/json

Body

  • notable_type string Required

    The model type that the note is for. Available options are: account, bank_transaction, case, charge, check, circle, conversation, expectation, illustration, mortgage_search, plan, risk, statement, statement_transaction, task

    Values are account, bank_transaction, case, charge, check, circle, conversation, expectation, illustration, mortgage_search, plan, risk, statement, statement_transaction, or task.

  • notable_uuid string(uuid) Required

    The UUID of the model that the note is for.

  • contents string Required

    The note's contents.

  • type string

    Type of note. Available note types are: call, note, meeting and email

    Value Description
    call Call
    note Note
    meeting Meeting
    email Email

    Values are call, note, meeting, or email.

  • path string

    Note path, used for note grouping

  • is_pinned boolean

    Is this note pinned to the top of any results

  • visible_to_clients boolean

    Is this note visible to client accounts

  • created_at string(date)

    Timestamp the note was created at

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string
POST /api/v1/note
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/note' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"notable_type":"account","notable_uuid":"34286bfc-efc9-4ca8-9299-b559fb99985b","contents":"This guy rocks.","type":"call","path":"gifts","is_pinned":false,"visible_to_clients":false,"created_at":"2026-05-30"}'
Request examples
{
  "notable_type": "account",
  "notable_uuid": "34286bfc-efc9-4ca8-9299-b559fb99985b",
  "contents": "This guy rocks.",
  "type": "call",
  "path": "gifts",
  "is_pinned": false,
  "visible_to_clients": false,
  "created_at": "2026-05-30"
}
Response examples (401)
{
  "message": "Unauthenticated."
}